Get envelope field
GET
/envelope/field/{fieldId}
const url = 'https://app.legaldoc.com/api/v2/envelope/field/1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.legaldoc.com/api/v2/envelope/field/1 \ --header 'Authorization: <Authorization>'Returns an envelope field given an ID
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”fieldId
required
number
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
envelopeId
required
string
envelopeItemId
required
string
type
required
string
id
required
number
secondaryId
required
string
recipientId
required
number
page
required
number
positionX
required
positionY
required
width
required
height
required
customText
required
string
inserted
required
boolean
fieldMeta
required
One of:
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
required
string
type
required
string
textAlign
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
text
string
characterLimit
number
textAlign
string
lineHeight
number | null
letterSpacing
number | null
verticalAlign
string | null
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
numberFormat
string | null
value
string
minValue
number | null
maxValue
number | null
textAlign
string
lineHeight
number | null
letterSpacing
number | null
verticalAlign
string | null
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
id
required
number
checked
required
boolean
value
required
string
direction
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
id
required
number
checked
required
boolean
value
required
string
validationRule
string
validationLength
number
direction
required
string
object
label
string
placeholder
string
required
boolean
readOnly
boolean
fontSize
number
overflow
string
type
required
string
values
Array<object>
object
value
required
string
defaultValue
string
Example
{ "type": "SIGNATURE", "fieldMeta": { "fontSize": 12, "overflow": "auto", "type": "signature" }}Invalid input data
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Authorization not provided
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Insufficient access
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Not found
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Internal server error
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}